FileReader
Date: 2019-10-22

org.jmol.io

## Class FileReader

- java.lang.Object
- - org.jmol.io.FileReader

-     public class FileReader
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `atomSetCollection`
    `private java.lang.Object` | `bytesOrStream`
    `private java.lang.String` | `fileNameIn`
    `private java.lang.String` | `fileTypeIn`
    `private java.lang.String` | `fullPathNameIn`
    `private java.util.Map<java.lang.String,java.lang.Object>` | `htParams`
    `private boolean` | `isAppend`
    `private java.lang.String` | `nameAsGivenIn`
    `private java.lang.Object` | `readerOrDocument`
    `private Viewer` | `vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileReader(Viewer vwr, java.lang.String fileName, java.lang.String fullPathName, java.lang.String nameAsGiven, java.lang.String type, java.lang.Object reader, java.util.Map<java.lang.String,java.lang.Object> htParams, boolean isAppend)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getAtomSetCollection()`
    `(package private) static java.io.BufferedReader` | `getChangeableReader(Viewer vwr, java.lang.String nameAsGivenIn, java.lang.String fullPathNameIn)`
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### vwr

          private final Viewer vwr

    - #### fileNameIn

          private java.lang.String fileNameIn

    - #### fullPathNameIn

          private java.lang.String fullPathNameIn

    - #### nameAsGivenIn

          private java.lang.String nameAsGivenIn

    - #### fileTypeIn

          private java.lang.String fileTypeIn

    - #### atomSetCollection

          private java.lang.Object atomSetCollection

    - #### readerOrDocument

          private java.lang.Object readerOrDocument

    - #### htParams

          private java.util.Map<java.lang.String,java.lang.Object> htParams

    - #### isAppend

          private boolean isAppend

    - #### bytesOrStream

          private java.lang.Object bytesOrStream

  - ### Constructor Detail

    - #### FileReader

          public FileReader(Viewer vwr,
                            java.lang.String fileName,
                            java.lang.String fullPathName,
                            java.lang.String nameAsGiven,
                            java.lang.String type,
                            java.lang.Object reader,
                            java.util.Map<java.lang.String,java.lang.Object> htParams,
                            boolean isAppend)

      Parameters:
        `vwr` -
        `fileName` - "t.xyz" may be null
        `fullPathName` - "c:\temp\t.xyz" may be null
        `nameAsGiven` - "c:/temp/t.xyz" may be null
        `type` - forced file type
        `reader` - optional Reader, BufferedReader, byte[], or BufferedInputStream
        `htParams` - information for file reader
        `isAppend` - append to current models or not

  - ### Method Detail

    - #### run

          public void run()

    - #### getChangeableReader

          static final java.io.BufferedReader getChangeableReader(Viewer vwr,
                                                                  java.lang.String nameAsGivenIn,
                                                                  java.lang.String fullPathNameIn)

    - #### getAtomSetCollection

          public java.lang.Object getAtomSetCollection()